Index: ThirdParty/mpqc_open/lib/cca/Makefile
===================================================================
--- ThirdParty/mpqc_open/lib/cca/Makefile	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
+++ ThirdParty/mpqc_open/lib/cca/Makefile	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
@@ -0,0 +1,40 @@
+TOPDIR=../..
+ifndef SRCDIR
+  SRCDIR=$(shell pwd)
+endif
+
+include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile
+
+FILES = $(shell echo `find repo`) 
+
+install:: components.cca
+	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(libdir)/cca
+	$(INSTALL) $(INSTALLIBOPT) components.cca $(installroot)$(libdir)/cca
+
+install_devel:: $(SRCDIR)/sidl/chemistry-mpqc.sidl
+	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(libdir)/cca
+	$(INSTALL) $(INSTALLDIROPT) $(installroot)$(libdir)/cca/sidl
+	$(INSTALL) $(INSTALLLIBOPT) $(SRCDIR)/sidl/chemistry-mpqc.sidl \
+          $(installroot)$(libdir)/cca/sidl
+	for i in $(FILES); do \
+         if test -d $${i}; then \
+          $(INSTALL) $(INSTALLDIROPT) $${i} $(installroot)$(libdir)/cca; \
+         else \
+          $(INSTALL) -D $(INSTALLLIBOPT) $${i} \
+            $(installroot)$(libdir)/cca/$${i}; \
+         fi; \
+        done
+
+clean:: oclean
+	if test -d repo; then \
+	  rm -rf repo; \
+        fi
+
+oclean::
+	/bin/rm -f lib*.a
+	/bin/rm -f lib*.so*
+	/bin/rm -f lib*.la
+	/bin/rm -rf .libs
+
+dclean::
+
Index: ThirdParty/mpqc_open/lib/cca/components.cca.in
===================================================================
--- ThirdParty/mpqc_open/lib/cca/components.cca.in	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
+++ ThirdParty/mpqc_open/lib/cca/components.cca.in	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
@@ -0,0 +1,50 @@
+<?xml version="1.0"?>
+<libInfo>
+<scl>
+  <library uri="@sclibdir@/cca/libSCchemistry.so"
+   scope="global" resolution="now" >
+    <class name="MPQC.Chemistry_MoleculeViewer" desc="ior/impl" />
+    <class name="MPQC.Physics_Units" desc="ior/impl" />
+    <class name="MPQC.Chemistry_QC_ModelFactory" desc="ior/impl" />
+    <class name="MPQC.Chemistry_QC_GaussianShell" desc="ior/impl" />
+    <class name="MPQC.Chemistry_QC_GaussianBasisSet" desc="ior/impl" />
+    <class name="MPQC.Chemistry_QC_Model" desc="ior/impl" />
+    <class name="MPQC.ChemistryOpt_CoordinateModel" desc="ior/impl" />
+    <class name="MPQC.IntegralEvaluatorFactory" desc="ior/impl" />
+    <class name="MPQC.SimpleDriver" desc="ior/impl" />
+  </library>
+</scl>
+<componentDeployment name="MPQC.Chemistry_MoleculeViewer"
+ paletteClassAlias="MPQC.MoleculeViewer" >
+   <environment> 
+     <ccaSpec binding="babel" /> <library loading="dynamic" />
+   </environment>
+</componentDeployment>
+<componentDeployment name="MPQC.Chemistry_QC_ModelFactory"
+ paletteClassAlias="MPQC.ModelFactory" >
+   <environment>
+     <ccaSpec binding="babel" /> <library loading="dynamic" />
+   </environment>
+</componentDeployment>
+<componentDeployment
+ name="MPQC.ChemistryOpt_CoordinateModel"
+ paletteClassAlias="MPQC.CoordinateModel" >
+   <environment>
+     <ccaSpec binding="babel" /> <library loading="dynamic" />
+   </environment>
+</componentDeployment>
+<componentDeployment
+ name="MPQC.IntegralEvaluatorFactory"
+ paletteClassAlias="MPQC.IntegralEvaluatorFactory" >
+   <environment>
+     <ccaSpec binding="babel" /> <library loading="dynamic" />
+   </environment>
+</componentDeployment>
+<componentDeployment
+ name="MPQC.SimpleDriver"
+ paletteClassAlias="MPQC.SimpleDriver" >
+   <environment>
+     <ccaSpec binding="babel" /> <library loading="dynamic" />
+   </environment>
+</componentDeployment>
+</libInfo>
Index: ThirdParty/mpqc_open/lib/cca/sidl/chemistry-mpqc.sidl
===================================================================
--- ThirdParty/mpqc_open/lib/cca/sidl/chemistry-mpqc.sidl	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
+++ ThirdParty/mpqc_open/lib/cca/sidl/chemistry-mpqc.sidl	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
@@ -0,0 +1,63 @@
+package MPQC version 0.2 {
+
+  class Chemistry_MoleculeViewer implements-all Chemistry.MoleculeViewer,
+    gov.cca.Component, gov.cca.Port {};
+
+  class Chemistry_QC_Model implements-all Chemistry.QC.Model {
+    void initialize_parsedkeyval(in string keyword, in string input);
+    void initialize_parsedkeyval_file(in string keyword, in string filename);
+    void initialize_aggregatekeyval(in string keyword, in string input,
+                                    in opaque describedclass);
+    void initialize_pointer(in opaque ptr);
+  };
+
+  class Chemistry_QC_ModelFactory implements-all Chemistry.QC.ModelFactory,
+    gov.cca.Component, gov.cca.Port {};
+
+  class Physics_Units implements-all Physics.Units {};
+
+  class GaussianBasis_Shell implements-all 
+    Chemistry.QC.GaussianBasis.Shell{
+      void initialize(in opaque scshell);
+  };
+  class GaussianBasis_Atomic implements-all 
+    Chemistry.QC.GaussianBasis.Atomic{
+      void initialize(in opaque scbasis, in int atomnum);  
+  };
+  class GaussianBasis_Molecular implements-all 
+    Chemistry.QC.GaussianBasis.Molecular{
+      void initialize(in opaque scbasis, in string label);
+      opaque sc_gbs_pointer();
+  };
+
+  class IntegralEvaluatorFactory
+    implements-all Chemistry.QC.GaussianBasis.IntegralEvaluatorFactory,
+    gov.cca.Component, gov.cca.Port {};
+
+  class IntegralEvaluator2 implements-all
+    Chemistry.QC.GaussianBasis.IntegralEvaluator2{
+      void set_integral_package(in string label); 
+    };
+  class IntegralEvaluator3 implements-all
+    Chemistry.QC.GaussianBasis.IntegralEvaluator3{
+      void set_integral_package(in string label);
+    };
+  class IntegralEvaluator4 implements-all
+    Chemistry.QC.GaussianBasis.IntegralEvaluator4{
+      void set_integral_package(in string label);
+    };
+ 
+  class ChemistryOpt_CoordinateModel implements-all ChemistryOpt.CoordinateModel,
+    gov.cca.Component, gov.cca.Port{};
+
+  class ComponentFactory implements-all ccaffeine.ports.ComponentFactory {
+    void addDescription(in string className, in string classAlias);
+  };
+
+  class ComponentClassDescription implements-all gov.cca.ComponentClassDescription {
+    void initialize(in string className, in string classAlias);
+  };
+
+  class SimpleDriver implements-all gov.cca.Component, gov.cca.ports.GoPort { };
+
+};
